# Generated from homophone-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name homophone

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: Find related artists for a band
License: MIT
URL: https://github.com/mdippery/homophone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(aruba) >= 0.14
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(cucumber) >= 2.3
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(webmock) >= 2.0
# BuildRequires: rubygem(webmock) < 3
BuildArch: noarch

%description
Find related artists for your favorite band. Queries the Spotify API to find
other artists that are similar to a given artist.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/homophone
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/homophone.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.1-1
- Initial package
